Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# WoopsiUI::MutableBitmapBase Class Reference

`#include <mutablebitmapbase.h>`

Inheritance diagram for WoopsiUI::MutableBitmapBase:

List of all members.

## Public Member Functions
virtual | ~MutableBitmapBase ()
virtual void | setPixel (const s16 x, const s16 y, const u16 colour)=0
virtual void | blit (const s16 x, const s16 y, const u16 *data, const u32 size)=0
virtual void | blitFill (const s16 x, const s16 y, const u16 colour, const u32 size)=0

## Detailed Description

Abstract class defining the basic properties of an editable bitmap.

## Constructor & Destructor Documentation

virtual WoopsiUI::MutableBitmapBase::~MutableBitmapBase | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual void WoopsiUI::MutableBitmapBase::blit | ( | const s16 | x,
|  | const s16 | y,
|  | const u16 * | data,
|  | const u32 | size
| ) |  | `[pure virtual]`

Blit data to the specified co-ordinates using the DMA hardware.

Parameters:

  x | The x co-ordinate to blit to.
  y | The y co-ordinate to blit to.
  data | The data to blit.
  size | The number of u16s to blit.

Implemented in WoopsiUI::Bitmap, and WoopsiUI::FrameBuffer.

virtual void WoopsiUI::MutableBitmapBase::blitFill | ( | const s16 | x,
|  | const s16 | y,
|  | const u16 | colour,
|  | const u32 | size
| ) |  | `[pure virtual]`

Fill at the specified co-ordinates using the DMA hardware.

Parameters:

  x | The x co-ordinate to blit to.
  y | The y co-ordinate to blit to.
  colour | The colour to fill with.
  size | The number of u16s to blit.

Implemented in WoopsiUI::Bitmap, and WoopsiUI::FrameBuffer.

virtual void WoopsiUI::MutableBitmapBase::setPixel | ( | const s16 | x,
|  | const s16 | y,
|  | const u16 | colour
| ) |  | `[pure virtual]`

Set the colour of the specified pixel.

Parameters:

  x | X co-ord of the pixel to set.
  y | Y co-ord of the pixel to set.
  colour | New colour of the pixel.

Implemented in WoopsiUI::Bitmap, and WoopsiUI::FrameBuffer.

The documentation for this class was generated from the following file:

- mutablebitmapbase.h